org.apache.maven.artifact.versioning

## Class InvalidVersionSpecificationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.artifact.versioning.InvalidVersionSpecificationException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidVersionSpecificationException
    extends java.lang.Exception

Occurs when a version is invalid.

Version:
  $Id: InvalidVersionSpecificationException.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidVersionSpecificationException(java.lang.String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidVersionSpecificationException

    public InvalidVersionSpecificationException(java.lang.String message)